package com.malk.xiding.controller;

import com.malk.Util.UtilDateTime;
import com.malk.server.common.McR;
import com.malk.xiding.server.XDConf;
import com.malk.xiding.service.XDService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 * 错误抛出与拦截详见CatchException
 */
@Slf4j
@RestController
@RequestMapping("/xiding")
public class XDController {

    @Autowired
    private XDService xdService;

    @PostMapping("test")
    McR test() {
        long startTime = UtilDateTime.parseDateTime("2023-03-01" + " 00:00:00").getTime();
        long endTime = UtilDateTime.parseDateTime("2023-04-30" + " 23:59:59").getTime();
//        xdService.syncApprove(startTime, endTime, XDConf.TMP_CODE_CC, "出差");
        xdService.syncApprove(startTime, endTime, XDConf.TMP_CODE_WC, "外出");
        return McR.success();
    }

    @PostMapping("test2")
    McR test2() {
        Date eTime = UtilDateTime.parseDateTime("2023-04-30" + " 23:59:59");
        Date sTime = UtilDateTime.parseDateTime("2023-04-01" + " 00:00:00");
        xdService.syncAttendance(0, sTime, eTime);
        return McR.success();
    }
}
