package com.malk.xiding.repository.entity;

import com.malk.base.BasePo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "xd_fxk_dd_attendance")
public class XdFxkDdAttendancePo extends BasePo {

    /**
     * 钉钉ID
     */
    private String idDd;

    /**
     * 员工姓名
     */
    @Column(name = "name")
    private String userName;

    /**
     * 纷享销客ID
     */
    @Column(name = "idFxxk")
    private String openUserId;

    /**
     * 外勤时间
     */
    private Date checkTime;

    /**
     * 外勤地址
     */
    private String checkAddress;

    /**
     * 同步备注
     */
    private String remark;
}
